Bug 441693 - Memore usage of the clock-applet looks ridiculous
Memore usage of the clock-applet looks ridiculous
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 10:54 EDT by Zdenek Kabelac
Modified: 2009-07-14 12:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2008-04-09 10:54:36 EDT
Description of problem:

I know that memory is cheap - but does the really mean I should now expect that
simple clock in the panel must consume 21MB of memory - to display 20 letters
updated once per second ? 

Version-Release number of selected component (if applicable):
gnome-panel-2.22.1.1-1.fc9.x86_64

How reproducible:
see the top


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Just to slight show where the memory is 
(could be seen the 6MB for heap for clock is really an overkill - my video
player plays mp3 and takes half of the memory)

VMSIZE:     350708 kb
RSS:         20796 kb total
             11408 kb shared
               876 kb private clean
              8512 kb private dirty
PRIVATE MAPPINGS
     vmsize   rss clean   rss dirty   file
    5948 kb        0 kb     5912 kb   [heap]
    1040 kb        0 kb     1040 kb
      96 kb        0 kb       96 kb
      84 kb        0 kb       84 kb  
/usr/lib64/libecal-1.2.so.7.1.0.#prelink#.RZ67iS
      84 kb        0 kb       84 kb  
/usr/lib64/libecal-1.2.so.7.1.0.#prelink#.RZ67iS
      72 kb        0 kb       68 kb  
/usr/lib64/libORBit-2.so.0.1.0.#prelink#.JE5H19
      68 kb        0 kb       68 kb  
/usr/lib64/libbonobo-2.so.0.0.0.#prelink#.ryJ8V5
      84 kb        0 kb       48 kb   [stack]
      84 kb        0 kb       48 kb   [stack]
      44 kb        0 kb       44 kb  
/usr/lib64/libgtk-x11-2.0.so.0.1200.9.#prelink#.dGTh1z
      32 kb        0 kb       28 kb   /lib64/libasound.so.2.0.0
     100 kb        0 kb       28 kb  
/usr/lib64/libcamel-1.2.so.11.0.0.#prelink#.o5PGsv
      28 kb        0 kb       28 kb  
/usr/lib64/libebook-1.2.so.9.1.1.#prelink#.tS7YW3
      24 kb        0 kb       24 kb   /usr/lib64/libX11.so.6.2.0
      36 kb        0 kb       24 kb   /lib64/libnss3.so
      28 kb        0 kb       24 kb  
/usr/lib64/libstdc++.so.6.0.10.#prelink#.gDtvoI
      24 kb        0 kb       20 kb   /lib64/libdb-4.6.so
      20 kb        0 kb       20 kb  
/usr/lib64/libgdk-x11-2.0.so.0.1200.9.#prelink#.arX45j
      20 kb        0 kb       16 kb  
/usr/lib64/libgconf-2.so.4.1.5.#prelink#.sdhZ77
      16 kb        0 kb       16 kb  
/usr/lib64/libbonobo-activation.so.4.0.0.#prelink#.n1iTS3
      16 kb        0 kb       16 kb   /lib64/libsmime3.so
      16 kb        0 kb       16 kb  
/usr/lib64/libbonoboui-2.so.0.0.0.#prelink#.Y5LlAb
      24 kb        0 kb       16 kb  
/usr/lib64/libgnomeui-2.so.0.2200.0.#prelink#.quwD2j
      16 kb        0 kb       16 kb
      16 kb        0 kb       12 kb  
/usr/lib64/libcroco-0.6.so.3.0.1.#prelink#.PWOuhJ
      16 kb        0 kb       12 kb   /usr/lib64/libkrb5.so.3.3
      28 kb        0 kb       12 kb   /lib64/libssl.so.0.9.8g
     132 kb        0 kb       12 kb   /lib64/libcrypto.so.0.9.8g.#prelink#.vczGjU
      16 kb        0 kb       12 kb  
/usr/lib64/libaudiofile.so.0.0.2.#prelink#.HTpDlk
      76 kb        0 kb       12 kb
      20 kb        0 kb       12 kb  
/usr/lib64/libgnomevfs-2.so.0.2200.0.#prelink#.6QK5Y3
      12 kb        0 kb       12 kb
      12 kb        0 kb       12 kb  
/usr/lib64/libpango-1.0.so.0.2000.1.#prelink#.bClzdG
      12 kb        0 kb       12 kb
      12 kb        0 kb       12 kb   /lib64/libgio-2.0.so.0.0.0.#prelink#.mxexMf
      12 kb        0 kb       12 kb   /lib64/libgio-2.0.so.0.0.0.#prelink#.mxexMf
       8 kb        0 kb        8 kb   /usr/libexec/clock-applet
       8 kb        0 kb        8 kb  
/usr/lib64/libORBitCosNaming-2.so.0.1.0.#prelink#.6acST3
      16 kb        0 kb        8 kb  
/usr/lib64/libgsf-1.so.114.0.8.#prelink#.HCcgU1
       8 kb        0 kb        8 kb  
/usr/lib64/libgssapi_krb5.so.2.2.#prelink#.ttXACb
       8 kb        0 kb        8 kb   /usr/lib64/libk5crypto.so.3.1
      16 kb        0 kb        8 kb   /lib64/libc-2.7.90.so
      24 kb        0 kb        8 kb  
/usr/lib64/libfreetype.so.6.3.16.#prelink#.bzMXqs
       8 kb        0 kb        8 kb  
/usr/lib64/libfontconfig.so.1.3.0.#prelink#.CqwjVz
       8 kb        0 kb        8 kb   /usr/lib64/libICE.so.6.3.0
      36 kb        0 kb        8 kb   /usr/lib64/libxml2.so.2.6.31
       8 kb        0 kb        8 kb
       8 kb        0 kb        8 kb   /lib64/libbz2.so.1.0.4
       8 kb        0 kb        8 kb  
/usr/lib64/libglade-2.0.so.0.0.7.#prelink#.z6QMvx
       8 kb        0 kb        8 kb  
/usr/lib64/libgnomecanvas-2.so.0.2001.0.#prelink#.HcUuqc
       8 kb        0 kb        8 kb  
/usr/lib64/librsvg-2.so.2.22.2.#prelink#.UGCCMq
       8 kb        0 kb        8 kb  
/usr/lib64/libstdc++.so.6.0.10.#prelink#.gDtvoI
       8 kb        0 kb        8 kb  
/usr/lib64/libdbus-glib-1.so.2.1.0.#prelink#.TaaBXh
       8 kb        0 kb        8 kb   /usr/lib64/libglade/2.0/libgnome.so
       8 kb        0 kb        8 kb
       8 kb        0 kb        8 kb  
/usr/lib64/libpangoft2-1.0.so.0.2000.1.#prelink#.TGY2pu
       8 kb        0 kb        8 kb  
/usr/lib64/libgweather.so.1.0.0.#prelink#.lBL18E
       8 kb        0 kb        8 kb  
/lib64/libglib-2.0.so.0.1600.3.#prelink#.ouZ0QS
       8 kb        0 kb        8 kb  
/lib64/libgobject-2.0.so.0.1600.3.#prelink#.TkgZVy
       8 kb        0 kb        8 kb
       8 kb        0 kb        8 kb  
/usr/lib64/libedataserver-1.2.so.9.1.0.#prelink#.np7Vgx
       8 kb        0 kb        8 kb  
/usr/lib64/libedataserverui-1.2.so.8.1.0.#prelink#.S4XJPC
      20 kb        0 kb        8 kb
       8 kb        0 kb        8 kb  
/usr/lib64/libpanel-applet-2.so.0.2.31.#prelink#.ZeqwOp
       8 kb        0 kb        8 kb
      20 kb        0 kb        8 kb
       8 kb        0 kb        8 kb  
/usr/lib64/libpanel-applet-2.so.0.2.31.#prelink#.ZeqwOp
       8 kb        0 kb        8 kb
      12 kb        0 kb        4 kb  
/usr/lib64/libatk-1.0.so.0.2209.1.#prelink#.9vizWW
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb  
/usr/lib64/libavahi-glib.so.1.0.1.#prelink#.C7OjL5
       4 kb        0 kb        4 kb   /lib64/libselinux.so.1
       4 kb        0 kb        4 kb   /lib64/libselinux.so.1
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb  
/usr/lib64/libkrb5support.so.0.1.#prelink#.AUUyfj
       4 kb        0 kb        4 kb   /lib64/ld-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/ld-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libc-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libm-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libm-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libdl-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libdl-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libpthread-2.7.90.so.#prelink#.nHdx83
       4 kb        0 kb        4 kb   /lib64/libpthread-2.7.90.so.#prelink#.nHdx83
       4 kb        0 kb        4 kb   /lib64/libz.so.1.2.3
       4 kb        0 kb        4 kb   /lib64/librt-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/librt-2.7.90.so
       4 kb        0 kb        4 kb   /usr/lib64/libxcb.so.1.0.0
       4 kb        0 kb        4 kb   /usr/lib64/libXdmcp.so.6.0.0
       4 kb        0 kb        4 kb  
/usr/lib64/libxcb-xlib.so.0.0.0.#prelink#.5xHNjN
       4 kb        0 kb        4 kb   /usr/lib64/libXext.so.6.4.0
      12 kb        0 kb        4 kb   /lib64/libexpat.so.1.5.2
       4 kb        0 kb        4 kb   /usr/lib64/libpng12.so.0.24.0
       4 kb        0 kb        4 kb  
/usr/lib64/libXrender.so.1.3.0.#prelink#.mEG929
       4 kb        0 kb        4 kb  
/usr/lib64/libXinerama.so.1.0.0.#prelink#.yd9BJo
       4 kb        0 kb        4 kb   /usr/lib64/libXfixes.so.3.1.0
       4 kb        0 kb        4 kb   /usr/lib64/libXrandr.so.2.1.0
       4 kb        0 kb        4 kb   /usr/lib64/libXi.so.6.0.0
       4 kb        0 kb        4 kb  
/usr/lib64/libXcursor.so.1.0.2.#prelink#.OxHO2k
       4 kb        0 kb        4 kb   /lib64/libcap.so.2.06
       4 kb        0 kb        4 kb   /lib64/libresolv-2.7.90.so.#prelink#.xU4cBA
       4 kb        0 kb        4 kb   /lib64/libresolv-2.7.90.so.#prelink#.xU4cBA
       4 kb        0 kb        4 kb   /usr/lib64/libSM.so.6.0.0
       4 kb        0 kb        4 kb  
/usr/lib64/libXcomposite.so.1.0.0.#prelink#.RUH88H
       4 kb        0 kb        4 kb   /usr/lib64/libjpeg.so.62.0.0
       4 kb        0 kb        4 kb   /lib64/libutil-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libutil-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libnsl-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libcom_err.so.2.1
       4 kb        0 kb        4 kb   /lib64/libkeyutils-1.2.so
       4 kb        0 kb        4 kb   /usr/lib64/libelf-0.133.so
       4 kb        0 kb        4 kb   /usr/lib64/libelf-0.133.so
       4 kb        0 kb        4 kb   /lib64/libpopt.so.0.0.0
       4 kb        0 kb        4 kb   /lib64/libcrypt-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libplds4.so
      20 kb        0 kb        4 kb   /lib64/libnssutil3.so
       4 kb        0 kb        4 kb  
/usr/lib64/libart_lgpl_2.so.2.3.20.#prelink#.OrK3dF
       4 kb        0 kb        4 kb   /lib64/libplc4.so
       4 kb        0 kb        4 kb  
/usr/lib64/libavahi-common.so.3.5.0.#prelink#.nT1GS6
       8 kb        0 kb        4 kb   /lib64/libssl3.so
       4 kb        0 kb        4 kb   /usr/lib64/libsasl2.so.2.0.22
       4 kb        0 kb        4 kb  
/usr/lib64/libgnome-keyring.so.0.1.1.#prelink#.hFTUqi
       8 kb        0 kb        4 kb  
/usr/lib64/libgnome-2.so.0.2200.0.#prelink#.GLOAz8
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb   /usr/lib64/libpolkit.so.2.0.0
       4 kb        0 kb        4 kb  
/usr/lib64/libpolkit-grant.so.2.0.0.#prelink#.0VVi5K
       4 kb        0 kb        4 kb  
/usr/lib64/libpolkit-gnome.so.0.0.0.#prelink#.uOvmsz
       4 kb        0 kb        4 kb   /lib64/libdbus-1.so.3.4.0
       4 kb        0 kb        4 kb   /lib64/libdbus-1.so.3.4.0
       8 kb        0 kb        4 kb  
/usr/lib64/libpixman-1.so.0.10.0.#prelink#.Hwnish
       4 kb        0 kb        4 kb   /usr/lib64/libesd.so.0.2.38
       4 kb        0 kb        4 kb  
/usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
       4 kb        0 kb        4 kb   /usr/lib64/libglade/2.0/libbonobo.so
       4 kb        0 kb        4 kb  
/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
       4 kb        0 kb        4 kb   /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
       4 kb        0 kb        4 kb   /lib64/libnss_files-2.7.90.so
       4 kb        0 kb        4 kb   /lib64/libnss_files-2.7.90.so
       4 kb        0 kb        4 kb  
/usr/lib64/libgailutil.so.18.0.1.#prelink#.TmYNmf
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb  
/lib64/libgmodule-2.0.so.0.1600.3.#prelink#.CAply0
       4 kb        0 kb        4 kb  
/usr/lib64/libpangocairo-1.0.so.0.2000.1.#prelink#.fUrrd6
       4 kb        0 kb        4 kb  
/usr/lib64/libgdk_pixbuf-2.0.so.0.1200.9.#prelink#.tKIgp7
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb  
/lib64/libgthread-2.0.so.0.1600.3.#prelink#.GIup8P
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb
       4 kb        0 kb        4 kb
     200 kb      160 kb        0 kb   /usr/libexec/clock-applet
    1440 kb        4 kb        0 kb   /lib64/libc-2.7.90.so
     528 kb       32 kb        0 kb   /lib64/libm-2.7.90.so
      28 kb        4 kb        0 kb  
/usr/lib64/libpolkit-dbus.so.2.0.0.#prelink#.i882Jq
    5692 kb       16 kb        0 kb   /usr/share/icons/hicolor/icon-theme.cache
    7360 kb        4 kb        0 kb   /usr/share/icons/gnome/icon-theme.cache
      12 kb        8 kb        0 kb  
/usr/share/locale/cs/LC_MESSAGES/libgweather.mo
      64 kb       36 kb        0 kb  
/usr/lib64/libgweather.so.1.0.0.#prelink#.lBL18E
     124 kb        4 kb        0 kb  
/usr/lib64/libgdk_pixbuf-2.0.so.0.1200.9.#prelink#.tKIgp7
    4532 kb       80 kb        0 kb  
/usr/lib64/libgtk-x11-2.0.so.0.1200.9.#prelink#.dGTh1z
     168 kb       16 kb        0 kb  
/usr/lib64/libedataserver-1.2.so.9.1.0.#prelink#.np7Vgx
     184 kb       56 kb        0 kb  
/usr/lib64/libedataserverui-1.2.so.8.1.0.#prelink#.S4XJPC
     684 kb      228 kb        0 kb  
/usr/lib64/libecal-1.2.so.7.1.0.#prelink#.RZ67iS
     684 kb      228 kb        0 kb  
/usr/lib64/libecal-1.2.so.7.1.0.#prelink#.RZ67iS

SHARED MAPPINGS
     vmsize   rss clean   rss dirty   file
    4532 kb     1932 kb        0 kb  
/usr/lib64/libgtk-x11-2.0.so.0.1200.9.#prelink#.dGTh1z
    1440 kb      600 kb        0 kb   /lib64/libc-2.7.90.so
    1048 kb      392 kb        0 kb   /usr/lib64/libX11.so.6.2.0
     600 kb      372 kb        0 kb  
/usr/lib64/libgnomeui-2.so.0.2200.0.#prelink#.quwD2j
     952 kb      348 kb        0 kb  
/usr/lib64/libstdc++.so.6.0.10.#prelink#.gDtvoI
     384 kb        0 kb      300 kb   /SYSV00000000
     368 kb      284 kb        0 kb  
/usr/lib64/libORBit-2.so.0.1.0.#prelink#.JE5H19
     400 kb      268 kb        0 kb  
/usr/lib64/libbonobo-2.so.0.0.0.#prelink#.ryJ8V5
     424 kb      268 kb        0 kb  
/usr/lib64/libbonoboui-2.so.0.0.0.#prelink#.Y5LlAb
     572 kb      256 kb        0 kb  
/usr/lib64/libfreetype.so.6.3.16.#prelink#.bzMXqs
     420 kb      236 kb        0 kb   /usr/lib64/libcairo.so.2.17.2
     256 kb      228 kb        0 kb  
/lib64/libgobject-2.0.so.0.1600.3.#prelink#.TkgZVy
     264 kb      220 kb        0 kb  
/usr/lib64/libpango-1.0.so.0.2000.1.#prelink#.bClzdG
     228 kb      184 kb        0 kb  
/usr/lib64/libgconf-2.so.4.1.5.#prelink#.sdhZ77
     240 kb      184 kb        0 kb   /lib64/libdbus-1.so.3.4.0
     528 kb      160 kb        0 kb   /lib64/libm-2.7.90.so
    1300 kb      148 kb        0 kb   /lib64/libdb-4.6.so
     176 kb      148 kb        0 kb  
/usr/lib64/libpangoft2-1.0.so.0.2000.1.#prelink#.TGY2pu
     188 kb      136 kb        0 kb  
/usr/lib64/libfontconfig.so.1.3.0.#prelink#.CqwjVz
     208 kb      128 kb        0 kb  
/usr/lib64/librsvg-2.so.2.22.2.#prelink#.UGCCMq
     868 kb      128 kb        0 kb   /lib64/libasound.so.2.0.0
     400 kb      124 kb        0 kb  
/usr/lib64/libgnomevfs-2.so.0.2200.0.#prelink#.6QK5Y3
     468 kb      112 kb        0 kb   /usr/share/fonts/dejavu/DejaVuLGCSans.ttf
     124 kb      112 kb        0 kb  
/usr/lib64/libgdk_pixbuf-2.0.so.0.1200.9.#prelink#.tKIgp7
     124 kb      108 kb        0 kb   /lib64/ld-2.7.90.so
     148 kb      104 kb        0 kb   /usr/lib64/libpng12.so.0.24.0
     156 kb      104 kb        0 kb  
/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
     172 kb      100 kb        0 kb  
/usr/lib64/libpixman-1.so.0.10.0.#prelink#.Hwnish
    1280 kb       96 kb        0 kb   /lib64/libcrypto.so.0.9.8g.#prelink#.vczGjU
     436 kb       96 kb        0 kb   /usr/share/fonts/dejavu/DejaVuLGCSans-Bold.ttf
     636 kb       92 kb        0 kb   /usr/lib64/libkrb5.so.3.3
     104 kb       92 kb        0 kb   /usr/lib64/libpolkit.so.2.0.0
     140 kb       92 kb        0 kb  
/usr/share/locale/cs/LC_MESSAGES/gtk20-properties.mo
     352 kb       92 kb        0 kb  
/usr/lib64/libcamel-1.2.so.11.0.0.#prelink#.o5PGsv
     116 kb       88 kb        0 kb  
/usr/lib64/libatk-1.0.so.0.2209.1.#prelink#.9vizWW
     156 kb       88 kb        0 kb   /lib64/libexpat.so.1.5.2
    1284 kb       88 kb        0 kb   /lib64/libnss3.so
      92 kb       88 kb        0 kb  
/usr/lib64/libglade-2.0.so.0.0.7.#prelink#.z6QMvx
      92 kb       80 kb        0 kb  
/usr/lib64/libbonobo-activation.so.4.0.0.#prelink#.n1iTS3
      88 kb       80 kb        0 kb  
/usr/lib64/libgnome-2.so.0.2200.0.#prelink#.GLOAz8
     124 kb       76 kb        0 kb  
/usr/lib64/libdbus-glib-1.so.2.1.0.#prelink#.TaaBXh
     136 kb       72 kb        0 kb   /usr/share/locale/cs/LC_MESSAGES/libc.mo
     216 kb       72 kb        0 kb  
/usr/lib64/libebook-1.2.so.9.1.1.#prelink#.tS7YW3
      92 kb       68 kb        0 kb   /lib64/libpthread-2.7.90.so.#prelink#.nHdx83
      76 kb       68 kb        0 kb  
/usr/share/locale/cs/LC_MESSAGES/gnome-panel-2.0.mo
     104 kb       64 kb        0 kb   /usr/lib64/libxcb.so.1.0.0
     428 kb       64 kb        0 kb   /lib64/libgio-2.0.so.0.0.0.#prelink#.mxexMf
     428 kb       64 kb        0 kb   /lib64/libgio-2.0.so.0.0.0.#prelink#.mxexMf
      84 kb       56 kb        0 kb   /lib64/libz.so.1.2.3
     200 kb       56 kb        0 kb  
/usr/lib64/libgnomecanvas-2.so.0.2001.0.#prelink#.HcUuqc
      60 kb       56 kb        0 kb  
/usr/lib64/libpanel-applet-2.so.0.2.31.#prelink#.ZeqwOp
      64 kb       56 kb        0 kb   /usr/share/locale/cs/LC_MESSAGES/gtk20.mo
      60 kb       56 kb        0 kb  
/usr/lib64/libpanel-applet-2.so.0.2.31.#prelink#.ZeqwOp
      64 kb       56 kb        0 kb   /usr/share/locale/cs/LC_MESSAGES/gtk20.mo
     212 kb       52 kb        0 kb  
/usr/lib64/libgsf-1.so.114.0.8.#prelink#.HCcgU1
   77364 kb       52 kb        0 kb   /usr/lib/locale/locale-archive
     168 kb       52 kb        0 kb  
/usr/lib64/libedataserver-1.2.so.9.1.0.#prelink#.np7Vgx
     104 kb       48 kb        0 kb   /lib64/libselinux.so.1
     292 kb       48 kb        0 kb   /lib64/libssl.so.0.9.8g
     220 kb       48 kb        0 kb   /lib64/libnspr4.so
     224 kb       44 kb        0 kb  
/usr/lib64/libcroco-0.6.so.3.0.1.#prelink#.PWOuhJ
     156 kb       44 kb        0 kb   /lib64/libsmime3.so
      44 kb       44 kb        0 kb  
/var/cache/fontconfig/e19de935dec46bbf3ed114ee4965548a-x86-64
     184 kb       40 kb        0 kb  
/usr/lib64/libgssapi_krb5.so.2.2.#prelink#.ttXACb
      64 kb       40 kb        0 kb   /usr/lib64/libXext.so.6.4.0
     160 kb       40 kb        0 kb  
/usr/lib64/libaudiofile.so.0.0.2.#prelink#.HTpDlk
      36 kb       36 kb        0 kb  
/var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-x86-64
      40 kb       36 kb        0 kb  
/usr/lib64/libpangocairo-1.0.so.0.2000.1.#prelink#.fUrrd6
      36 kb       32 kb        0 kb  
/usr/lib64/libXrender.so.1.3.0.#prelink#.mEG929
     188 kb       32 kb        0 kb   /lib64/libssl3.so
      36 kb       32 kb        0 kb   /usr/lib64/libesd.so.0.2.38
      32 kb       32 kb        0 kb  
/var/cache/fontconfig/9f698fe3438acd55e6451aec4e5fdc05-x86-64
      32 kb       32 kb        0 kb  
/var/cache/fontconfig/12b26b760a24f8b4feb03ad48a333a72-x86-64
     144 kb       28 kb        0 kb   /usr/lib64/libk5crypto.so.3.1
      92 kb       28 kb        0 kb   /usr/lib64/libICE.so.6.3.0
      96 kb       28 kb        0 kb   /lib64/libnssutil3.so
      32 kb       24 kb        0 kb   /usr/lib64/libXi.so.6.0.0
      88 kb       24 kb        0 kb   /lib64/libnsl-2.7.90.so
     100 kb       24 kb        0 kb   /usr/lib64/libsasl2.so.2.0.22
      72 kb       24 kb        0 kb  
/usr/lib64/libgnome-keyring.so.0.1.1.#prelink#.hFTUqi
      36 kb       20 kb        0 kb  
/usr/lib64/libXcursor.so.1.0.2.#prelink#.OxHO2k
      72 kb       20 kb        0 kb   /lib64/libresolv-2.7.90.so.#prelink#.xU4cBA
      40 kb       20 kb        0 kb   /usr/lib64/libSM.so.6.0.0
     136 kb       20 kb        0 kb   /usr/lib64/libjpeg.so.62.0.0
      96 kb       20 kb        0 kb  
/usr/lib64/libart_lgpl_2.so.2.3.20.#prelink#.OrK3dF
      44 kb       20 kb        0 kb  
/usr/lib64/libavahi-common.so.3.5.0.#prelink#.nT1GS6
      28 kb       20 kb        0 kb  
/usr/lib64/libpolkit-dbus.so.2.0.0.#prelink#.i882Jq
      40 kb       20 kb        0 kb  
/usr/lib64/libpolkit-gnome.so.0.0.0.#prelink#.uOvmsz
      64 kb       20 kb        0 kb  
/usr/lib64/libavahi-client.so.3.2.4.#prelink#.MQ1RQ4
      28 kb       20 kb        0 kb   /usr/lib64/libglade/2.0/libgnome.so
      44 kb       20 kb        0 kb   /lib64/libnss_files-2.7.90.so
      20 kb       16 kb        0 kb  
/usr/lib64/libORBitCosNaming-2.so.0.1.0.#prelink#.6acST3
      32 kb       16 kb        0 kb  
/usr/lib64/libkrb5support.so.0.1.#prelink#.AUUyfj
      32 kb       16 kb        0 kb   /lib64/librt-2.7.90.so
      24 kb       16 kb        0 kb  
/usr/lib64/libfreetype.so.6.3.16.#prelink#.bzMXqs
      20 kb       16 kb        0 kb   /usr/lib64/libXfixes.so.3.1.0
      76 kb       16 kb        0 kb   /usr/lib64/libelf-0.133.so
      88 kb       16 kb        0 kb  
/lib64/libgcc_s-4.3.0-20080404.so.1.#prelink#.FcS5UK
      16 kb       16 kb        0 kb  
/var/cache/fontconfig/b67b32625a2bb51b023d3814a918f351-x86-64
      16 kb       16 kb        0 kb  
/var/cache/fontconfig/d04038e664b0033ae700a78c51f179d3-x86-64
      28 kb       16 kb        0 kb  
/usr/lib64/libgailutil.so.18.0.1.#prelink#.TmYNmf
      20 kb       12 kb        0 kb   /usr/lib64/libXdmcp.so.6.0.0
      28 kb       12 kb        0 kb   /usr/lib64/libXrandr.so.2.1.0
      12 kb       12 kb        0 kb   /lib64/libcap.so.2.06
      60 kb       12 kb        0 kb   /lib64/libbz2.so.1.0.4
      32 kb       12 kb        0 kb   /lib64/libpopt.so.0.0.0
      16 kb       12 kb        0 kb   /lib64/libplc4.so
      20 kb       12 kb        0 kb  
/usr/lib64/libpolkit-grant.so.2.0.0.#prelink#.0VVi5K
      12 kb       12 kb        0 kb   /usr/lib64/libglade/2.0/libbonobo.so
      12 kb       12 kb        0 kb  
/lib64/libgmodule-2.0.so.0.1600.3.#prelink#.CAply0
      16 kb       12 kb        0 kb  
/lib64/libgthread-2.0.so.0.1600.3.#prelink#.GIup8P
      12 kb       12 kb        0 kb  
/var/cache/fontconfig/beeeeb3dfe132a8a0633a017c99ce0c0-x86-64
      12 kb       12 kb        0 kb  
/usr/share/locale/cs/LC_MESSAGES/libbonobo-2.0.mo
      28 kb       12 kb        0 kb   /usr/lib64/gconv/gconv-modules.cache
      12 kb       12 kb        0 kb  
/usr/share/locale/cs/LC_MESSAGES/libbonobo-2.0.mo
      28 kb       12 kb        0 kb   /usr/lib64/gconv/gconv-modules.cache
       8 kb        8 kb        0 kb  
/usr/lib64/libavahi-glib.so.1.0.1.#prelink#.C7OjL5
      16 kb        8 kb        0 kb   /lib64/libc-2.7.90.so
       8 kb        8 kb        0 kb   /lib64/libdl-2.7.90.so
       8 kb        8 kb        0 kb   /usr/lib64/libXau.so.6.0.0
      12 kb        8 kb        0 kb   /lib64/libexpat.so.1.5.2
       8 kb        8 kb        0 kb  
/usr/lib64/libXinerama.so.1.0.0.#prelink#.yd9BJo
       8 kb        8 kb        0 kb  
/usr/lib64/libXcomposite.so.1.0.0.#prelink#.RUH88H
       8 kb        8 kb        0 kb   /lib64/libutil-2.7.90.so
       8 kb        8 kb        0 kb   /lib64/libcom_err.so.2.1
       8 kb        8 kb        0 kb   /lib64/libkeyutils-1.2.so
      36 kb        8 kb        0 kb   /lib64/libcrypt-2.7.90.so
      12 kb        8 kb        0 kb   /lib64/libplds4.so
      24 kb        8 kb        0 kb  
/usr/lib64/libgnomeui-2.so.0.2200.0.#prelink#.quwD2j
      20 kb        8 kb        0 kb  
/usr/lib64/libgnomevfs-2.so.0.2200.0.#prelink#.6QK5Y3
       8 kb        8 kb        0 kb  
/usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
    5692 kb        8 kb        0 kb   /usr/share/icons/hicolor/icon-theme.cache
       8 kb        8 kb        0 kb  
/var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-x86-64
       8 kb        8 kb        0 kb   /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
      12 kb        8 kb        0 kb   /usr/share/locale/cs/LC_MESSAGES/atk10.mo
      12 kb        8 kb        0 kb   /usr/share/locale/cs/LC_MESSAGES/atk10.mo
       8 kb        8 kb        0 kb  
/usr/share/locale/cs/LC_MESSAGES/libbonoboui-2.0.mo
      12 kb        4 kb        0 kb  
/usr/lib64/libatk-1.0.so.0.2209.1.#prelink#.9vizWW
      20 kb        4 kb        0 kb  
/usr/lib64/libgconf-2.so.4.1.5.#prelink#.sdhZ77
      16 kb        4 kb        0 kb  
/usr/lib64/libgsf-1.so.114.0.8.#prelink#.HCcgU1
      16 kb        4 kb        0 kb   /usr/lib64/libkrb5.so.3.3
      28 kb        4 kb        0 kb   /lib64/libssl.so.0.9.8g
       4 kb        4 kb        0 kb  
/usr/lib64/libxcb-xlib.so.0.0.0.#prelink#.5xHNjN
      36 kb        4 kb        0 kb   /usr/lib64/libxml2.so.2.6.31
     132 kb        4 kb        0 kb   /lib64/libcrypto.so.0.9.8g.#prelink#.vczGjU
      20 kb        4 kb        0 kb   /lib64/libnssutil3.so
      36 kb        4 kb        0 kb   /lib64/libnss3.so
      16 kb        4 kb        0 kb  
/usr/lib64/libaudiofile.so.0.0.2.#prelink#.HTpDlk
       8 kb        4 kb        0 kb   /lib64/libssl3.so
       8 kb        4 kb        0 kb  
/usr/lib64/libgnome-2.so.0.2200.0.#prelink#.GLOAz8
      28 kb        4 kb        0 kb  
/usr/lib64/libstdc++.so.6.0.10.#prelink#.gDtvoI
       8 kb        4 kb        0 kb  
/usr/lib64/libpixman-1.so.0.10.0.#prelink#.Hwnish
      24 kb        4 kb        0 kb   /lib64/libdb-4.6.so
    7360 kb        4 kb        0 kb   /usr/share/icons/gnome/icon-theme.cache
       8 kb        4 kb        0 kb   [vdso]
       8 kb        4 kb        0 kb   [vdso]
Comment 1 Matthias Clasen 2008-04-09 16:42:08 EDT
The clock applet does quite a bit more than "display 20 characters". 
Of course, reducing memory overhead is always nice.
Comment 2 Zdenek Kabelac 2008-04-10 07:43:42 EDT
Well considering that video player is able to decompress 320x240 mpeg4 video
with triple buffering and play mp3 sound and this all could be done easily
within 2MB of heap size - using 6MB for calendar and clocks looks like a waste
of memory.

Also I'm not even using the calendar - thus why it should even take that memory.

Of course this memory esurience is not only the issue of the clock applet - I've
filled similar bugs to few other applets with the hope that they will get fixed.
Comment 3 Matthias Clasen 2008-04-10 09:03:24 EDT
Patches will be considered; but for this kind of bug, filing it upstream gives
you a much better chance of finding someone interested in working on it.
Comment 4 Bug Zapper 2008-05-14 05:12:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 20:05:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:17:39 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.